Update PUI to use ffi-curl
[sxemacs] / INSTALL
diff --git a/INSTALL b/INSTALL
index 0897915..6935456 100644 (file)
--- a/INSTALL
+++ b/INSTALL
@@ -1,5 +1,17 @@
 SXEmacs Installation Guide
-Copyright (C) 2005 - 2011 Steve Youngs
+Copyright (C) 2005 - 2015 Steve Youngs
+
+
+,----[ In-Tree Builds Lead To Madness ]
+| Please note that because of the complexity of SXEmacs and its build
+| chain, we do not support building from within the source tree itself.
+|
+| So please, ALWAYS run `configure' and `make' from a separate directory,
+| completely outside of the source tree.
+|
+| In the code examples below, "${SRCTREE}" refers to the path where
+| you wish to build SXEmacs.
+`----
 
 
 Building from tarball release: 
@@ -11,7 +23,7 @@ In a nutshell:
 See ./configure --help for a description of all possible options,
 then
 
-  $ ./configure [options]
+  $ ${SRCTREE}/configure [options]
   $ make
   $ make check
   $ make install
@@ -37,7 +49,7 @@ Please note that SXEmacs _CANNOT_ be built with a C++ compiler.
 
 Also, some configuration options may need external libraries that are
 not shipped with SXEmacs.  SXEmacs will determine which libraries it
-needs at configuration time (when you run `./configure').
+needs at configuration time (when you run `${SRCTREE}/configure').
 
 If configure can't find a particular library and you _do_ have it
 installed, you can usually get configure to find it by adding to the
@@ -50,8 +62,8 @@ the feature-range of SXEmacs.  See section `Optional Libraries'.
 Stripping:
 ---------
 Our advice... _DON'T_ do it.  Stripping object files doesn't buy you
-anything other than a little bit of drive space.  And in an era where
-200 Gigabyte hard disks are common, the space saved by stripping is
+anything other than a little bit of disc space.  And in an era where
+multi-Terabyte hard discs are common, the space saved by stripping is
 inconsequential at best.
 
 But that isn't the only reason why we suggest that you don't strip
@@ -132,17 +144,17 @@ install them and incorporate them into SXEmacs.
   If the optional libraries are in a non-standard location, use
   --with-site-prefixes option of configure. Ex:
 
-       ./configure --with-site-prefixes=/opt/local
+       ${SRCTREE}/configure --with-site-prefixes=/opt/local
 
   You can specify a list of paths with --with-site-prefixes:
 
-       ./configure --with-site-prefixes=/opt/local:/sw
+       ${SRCTREE}/configure --with-site-prefixes=/opt/local:/sw
 
   NOTE: Usage of --prefix does NOT imply that it is added to
   site prefixes, so if you may need to add --with-site-prefixes
   even with --prefix:
        
-       ./configure --prefix=/opt/local --with-site-prefixes=/opt/local
+       ${SRCTREE}/configure --prefix=/opt/local --with-site-prefixes=/opt/local
 
 
 
@@ -160,12 +172,12 @@ install them and incorporate them into SXEmacs.
     http://www.mega-nerd.com/libsndfile/
 
   - ffmpeg:
-    http://ffmpeg.sourceforge.net/
+    http://ffmpeg.org/
 
   - mad:
     http://www.underbit.com/products/mad/
 
-  - SoX:
+  - SoX (min version 14.1.0):
     http://sox.sourceforge.net/
 
   Note: Some of the media libraries above may in turn have dependencies
@@ -186,7 +198,7 @@ install them and incorporate them into SXEmacs.
   - OSS (Open Sound System): native on Linux and BSD. DEPRECATED!
 
   - NAS (Network Audio System):
-    http://nas.codebrilliance.com/
+    http://www.radscan.com/nas.html
 
   - ESD (Enlightenment Sound Daemon):
     ftp://ftp.gnome.org/pub/gnome/sources/esound/0.2/
@@ -194,11 +206,8 @@ install them and incorporate them into SXEmacs.
   - PulseAudio:
     http://pulseaudio.org/
 
-  - aRts (Analog Realtime Synthesizer):
-    http://www.arts-project.org/
-
   - Jack (Jack Audio Connection Kit):
-    http://jackit.sourceforge.net/
+    http://jackaudio.org/
 
   - ALSA (Advanced Linux Sound Architecture): Linux-only
     http://www.alsa-project.org/
@@ -234,7 +243,7 @@ install them and incorporate them into SXEmacs.
     http://www.remotesensing.org/libtiff/
 
   - xface (base64 encoded xbm):
-    http://ftp.xemacs.org/pub/xemacs/aux/compface-1.5.1.tar.gz
+    http://ftp.xemacs.org/pub/xemacs/aux/compface-1.5.2.tar.gz
 
   The configure option to control media libraries is --with-image.  It
   defaults to `all'.
@@ -246,7 +255,7 @@ install them and incorporate them into SXEmacs.
   support.  We refer to enhanced number types as ENT.
 
   - GMP (GNU MultiPrecision arithmetics library):
-    http://swox.com/gmp
+    ftp://ftp.gnu.org/gnu/gmp/
 
   - BSD mp:
     Available natively on BSD distributions.  Also included in the
@@ -311,23 +320,23 @@ install them and incorporate them into SXEmacs.
 
 The build failed:
 ----------------
-Advise 1:
+Suggestion 1:
 Don't panic.  Take a look at the PROBLEMS file first and see if your
 issue is listed there.
 
-Advise 2:
+Suggestion 2:
 If the build fails at the configure script, try to examine the output
 and/or the more verbose config.log.  If the culprit seems to be a
 certain test or configure option, try to circumvent it.  You can for one
 disable almost any functionality using --without-<feature>.
 
-Advise 3:
+Suggestion 3:
 If the build fails at the make stage somewhere, try to figure out which
 functionality was attempted to make.  If it appears to be at some of the
 optional features, try configuring again with that option disabled.  If
-it seems to be a compiler or linker problem read advise number 4.
+it seems to be a compiler or linker problem read suggestion number 4.
 
-Advise 4:
+Suggestion 4:
 If the build fails and you have absolutely no clue why it does, contact
 the friendly people at SXEmacs.  For almost real-time help consider the
 IRC channel 
@@ -362,14 +371,16 @@ tell you in much greater detail what they need and how you can get the
 files and information you need.
 
 
-Building from git source:
-------------------------
+Building from git source: 
+------------------------ 
 This is identical to building from the tarball sources, with the
 addition of an extra step, and some extra requirements (that are most
-likely already on your system).
+likely already on your system).  Remember that "in-tree" builds are
+not supported, so configure and make from a directory outside the
+tree.
 
   $ ./autogen.sh
-  $ ./configure [options]
+  $ ${SRCTREE}/configure [options]
   $ make
   $ make check
   $ make install
@@ -384,7 +395,7 @@ You need at least...
 
   automake 1.9.4
   autoconf 2.60
-  texinfo 4.8
+  texinfo 5.2 (preferably 6.0)
 
 Warnings from autogen.sh:
 ------------------------